SCSI_BIOS_PTABLE(9)

NAME
scsi_bios_ptable - Read PC partition table out of first sector of device.

SYNOPSIS

unsigned char * scsi_bios_ptable(struct block_device * dev);

ARGUMENTS

dev
    from this device

DESCRIPTION

Reads the first sector from the device and returns 0x42 bytes starting at offset 0x1be.

RETURNS

partition table in kmalloc(GFP_KERNEL) memory, or NULL on error.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT